Skip to content

List Site

GET
/api/config/namespaces/{namespace}/sites
curl --request GET \
--url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/config/namespaces/example/sites \
--header 'Authorization: <Authorization>'

List the set of site in a namespace.

Examples of this operation.

namespace
required
string

Namespace Namespace to scope the listing of site.

label_filter
string

A LabelSelectorType expression that every item in list response will satisfy.

report_fields
Array<string>

X-example: "" Extra fields to return along with summary fields.

report_status_fields
Array<string>

X-example: "" Extra status fields to return along with summary fields.

A successful response.

Media typeapplication/json
ListResponse is the collection of site

This is the output message of ‘List’ RPC.

object
errors
errors

Errors(if any) while listing items from collection.

Array<object>
ErrorType

Information about a error in API operation.

object
code
string
default: EOK
Allowed values: EOK EPERMS EBADINPUT ENOTFOUND EEXISTS EUNKNOWN ESERIALIZE EINTERNAL EPARTIAL
error_obj
object
type_url

A URL/resource name that uniquely identifies the type of the serialized protocol buffer message. This string must contain at least one ”/” character. The last segment of the URL’s path must represent the fully qualified name of the type (as in path/google.protobuf.duration). The name should be in a canonical form (e.g., leading ”.” is not accepted).

In practice, teams usually precompile into the binary all types that they expect it to use in the context of Any. However, for URLs which use the scheme HTTP, HTTPS, or no scheme, one can optionally set up a type server that maps type URLs to message definitions as follows:

  • If no scheme is provided, HTTPS is assumed.
  • An HTTP GET on the URL must yield a [google.protobuf.type][] value in binary format, or produce an error.
  • Applications are allowed to cache lookup results based on the URL, or have them precompiled into a binary to avoid any lookup. Therefore, binary compatibility needs to be preserved on changes to types. (Use versioned type names to manage breaking changes.)

Note: this functionality is not currently available in the official protobuf release, and it is not used for type URLs beginning with type.googleapis.com.

Schemes other than HTTP, HTTPS (or the empty scheme) might be used with implementation specific semantics.

string
<= 1024 characters
value

Must be a valid serialized protocol buffer of the above specified type.

string format: byte
>= 3 characters <= 1024 characters
message
message

A human readable string of the error.

string
<= 1024 characters
items
items

Items represents the collection in response.

Array<object>
ListResponseItem is an individual item in a collection of site

By default a summary of site is returned in ‘List’. By setting ‘report_fields’ in the ListRequest more details of each item can be got.

object
annotations
annotations

The set of annotations present on this site.

object
description
description

The description set for this site.

string
>= 21 characters <= 1024 characters
disabled
disabled

A value of true indicates site is administratively disabled.

boolean format: boolean
get_spec
object
address

Site’s geographical address that can be used to determine its latitude and longitude.

string
<= 256 characters
admin_user_credentials
object
admin_password
object
blindfold_secret_info
object
decryption_provider
Decryption Provider

Name of the Secret Management Access object that contains information about the backend Secret Management service.

string
<= 1024 characters
location
Location

Location is the uri_ref. It could be in URL format for string:/// Or it could be a path if the store provider is an HTTP/HTTPS location Required: YES.

string
>= 4 characters <= 1024 characters
store_provider
Store Provider

Name of the Secret Management Access object that contains information about the store to GET encrypted bytes This field needs to be provided only if the URL scheme is not string:///.

string
<= 1024 characters
clear_secret_info
object
provider
Provider

Name of the Secret Management Access object that contains information about the store to GET encrypted bytes This field needs to be provided only if the URL scheme is not string:///.

string
>= 3 characters <= 1024 characters
url
URL

URL of the secret. Currently supported URL schemes is string:///. For string:/// scheme, Secret needs to be encoded Base64 format. When asked for this secret, caller will GET Secret bytes after Base64 decoding. Required: YES.

string format: uri
<= 131072 characters
blindfold_secret_info_internal
object
decryption_provider
Decryption Provider

Name of the Secret Management Access object that contains information about the backend Secret Management service.

string
<= 1024 characters
location
Location

Location is the uri_ref. It could be in URL format for string:/// Or it could be a path if the store provider is an HTTP/HTTPS location Required: YES.

string
>= 4 characters <= 1024 characters
store_provider
Store Provider

Name of the Secret Management Access object that contains information about the store to GET encrypted bytes This field needs to be provided only if the URL scheme is not string:///.

string
<= 1024 characters
secret_encoding_type
string
default: EncodingNone
Allowed values: EncodingNone EncodingBase64
vault_secret_info
object
key
Key

X-displayName: “Key” Key of the individual secret. Vault Secrets are stored as key-value pair. If user is only interested in one value from the map, this field should be set to the corresponding key. If not provided entire secret will be returned.

string
>= 7 characters <= 1024 characters
location
Location

X-displayName: “Location” x-required Path to secret in Vault.

string
>= 4 characters <= 1024 characters
provider
Provider

X-displayName: “Provider” x-required Name of the Secret Management Access object that contains information about the backend Vault.

string
>= 3 characters <= 1024 characters
secret_encoding
string
default: EncodingNone
Allowed values: EncodingNone EncodingBase64
version
Version

X-displayName: “Version” Version of the secret to be fetched. As vault secrets are versioned, user can specify this field to fetch specific version. If not provided latest version will be returned.

integer format: int64
>= 1 characters <= 1 characters
wingman_secret_info
object
name
Name

X-displayName: “Name” x-required Name of the secret.

string
>= 6 characters <= 1024 characters
ssh_key
Public SSH key

Provided Public SSH key can be used for accessing nodes of the site. When provided, customers can SSH to the nodes of this Customer Edge site using admin as the user.

string
<= 8192 characters
bgp_peer_address

Optional BGP peer address that can be used as parameter for BGP configuration when BGP is configured to fetch BGP peer address from site Object. This can be used to change peer addres per site in fleet.

string
<= 1024 characters
bgp_router_id

Optional BGP router ID that can be used as parameter for BGP configuration when BGP is configurred to fetch BGP router ID from site object. This can be used to change router ID per site in a fleet.

string
<= 1024 characters
ce_site_mode
string
default: CE_SITE_MODE_INGRESS_EGRESS_GW
Allowed values: CE_SITE_MODE_INGRESS_EGRESS_GW CE_SITE_MODE_INGRESS_GW CE_SITE_MODE_EGRESS_GW CE_SITE_MODE_DC_CLOUD_GW CE_SITE_MODE_CPE
connected_re

Following fields are only for customer edge sites List of REs to which to which this CE initiates IPsec/SSL connection to

Required: YES.

Array<object>
ObjectRefType

This type establishes a ‘direct reference’ from one object(the referrer) to another(the referred). Such a reference is in form of tenant/namespace/name for public API and Uid for private API This type of reference is called direct because the relation is explicit and concrete (as opposed to selector reference which builds a group based on labels of selectee objects)

object
kind
kind

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then kind will hold the referred object’s kind (e.g. “route”)

string
>= 12 characters <= 1024 characters
name
name

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then name will hold the referred object’s(e.g. Route’s) name.

string
>= 6 characters <= 1024 characters
namespace
namespace

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then namespace will hold the referred object’s(e.g. Route’s) namespace.

string
>= 6 characters <= 1024 characters
tenant
tenant

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then tenant will hold the referred object’s(e.g. Route’s) tenant.

string
>= 6 characters <= 1024 characters
uid
uid

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then uid will hold the referred object’s(e.g. Route’s) uid.

string format: uuid
>= 36 characters <= 1024 characters
connected_re_for_config

This field is valid only for CE site object List of REs which can send config to this CE site

Required: YES.

Array<object>
ObjectRefType

This type establishes a ‘direct reference’ from one object(the referrer) to another(the referred). Such a reference is in form of tenant/namespace/name for public API and Uid for private API This type of reference is called direct because the relation is explicit and concrete (as opposed to selector reference which builds a group based on labels of selectee objects)

object
kind
kind

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then kind will hold the referred object’s kind (e.g. “route”)

string
>= 12 characters <= 1024 characters
name
name

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then name will hold the referred object’s(e.g. Route’s) name.

string
>= 6 characters <= 1024 characters
namespace
namespace

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then namespace will hold the referred object’s(e.g. Route’s) namespace.

string
>= 6 characters <= 1024 characters
tenant
tenant

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then tenant will hold the referred object’s(e.g. Route’s) tenant.

string
>= 6 characters <= 1024 characters
uid
uid

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then uid will hold the referred object’s(e.g. Route’s) uid.

string format: uuid
>= 36 characters <= 1024 characters
coordinates
object
latitude
latitude

Latitude of the site location.

number format: float
longitude
longitude

Longitude of site location.

number format: float
default_underlay_network
object
site_local_inside
object
site_local_outside
object
desired_pool_count

Desired pool count represent desired number of worker(non master) nodes for manual scaling of public cloud(AWS, GCP, Azure) sites. The desired count must be less than or equal to the maximum size of the scaling group for a given public cloud. One may also have to increase maximum scaling group size to effectively increase desired pool count.

integer format: int32
global_access_k8s_enabled

Enable or disable functionality flag

boolean format: boolean
inside_nameserver

Optional DNS server IP to be used for name resolution in inside network.

string
<= 1024 characters
inside_vip

Optional Virtual IP to be used as automatic VIP for site local inside network. See documentation for “VIP” in advertise policy to see when Inside VIP is used. When configured, this is used as VIP (depending on advertise policy configuration). When not configured, site local inside interface IP will be used as VIP.

string
<= 1024 characters
ipsec_ssl_nodes_fqdn

FQDN resolves to responders node IP, if there are multiple nodes at site the resolution will give a list of all/some individual node IP. Multiple FQDN for same site is also allowed.

Array<string>
kubernetes_upgrade_drain
object
disable_upgrade_drain
object
enable_upgrade_drain
object
disable_vega_upgrade_mode
object
drain_max_unavailable_node_count
Node Batch Size Count

Exclusive with []

integer format: int64
drain_node_timeout
Upgrade Wait Time

Seconds to wait before initiating upgrade on the next set of nodes. Setting it to 0 will wait indefinitely for all services on nodes to be upgraded gracefully before proceeding to the next set of nodes. (Warning: It may block upgrade if services on a node cannot be gracefully upgraded. It is recommended to use the default value).

Required: YES.

integer format: int64
enable_vega_upgrade_mode
object
local_access_k8s_enabled

Enable or disable functionality flag

boolean format: boolean
local_k8s_access_enabled

Lets user know if this site has local K8s cluster enabled via fleet configuration.

boolean format: boolean
main_nodes

Connectivity information of main/master nodes to create a full mesh of Phobos services across all CEs in a site-mesh-group or dc-cluster-group.

Array<object>
Node

Node Information for connectivity across sites.

object
name
name

Name of the master/main node on the site.

string
>= 6 characters <= 1024 characters
sli_address
sli_address

Site Local Inside IP address.

string
<= 1024 characters
slo_address
slo_address

Site Local Outside IP address.

string
<= 1024 characters
multus_enabled

Indicates that Multus cni is enabled on the site.

boolean format: boolean
operating_system_version

Desired Operating System version for this site.

string
<= 1024 characters
outside_nameserver

Optional DNS server IP to be used for name resolution in outside network.

string
<= 1024 characters
outside_vip

Optional Virtual IP to be used as automatic VIP for site local outside network. See documentation for “VIP” in advertise policy to see when Outside VIP is used. When configured, this is used as VIP (depending on advertise policy configuration). When not configured, site local interface IP will be used as VIP.

string
<= 1024 characters
private_connectivity
object
cloud_link
object
name
CloudLink Name

Name of the the CloudLink used with this site.

string
>= 6 characters <= 1024 characters
state
string
default: UP
Allowed values: UP DOWN DEGRADED NOT_APPLICABLE
private_network_name
Private Network Name

ADN Network Name for private access connectivity to F5XC ADN.

string
<= 1024 characters
re_select
object
geo_proximity
object
specific_re
object
primary_re
Primary RE Geography

Select primary RE for this site.

string
>= 1 characters <= 64 characters
backup_re
Backup RE Geography

Select backup RE for this site, cannot be the same as Primary RE.

string
<= 1024 characters
region

Cloud Region. A region is a set of datacenters deployed within a latency-defined perimeter and connected through a dedicated regional low-latency network.

string
<= 1024 characters
site_state
string
default: ONLINE
Allowed values: ONLINE PROVISIONING UPGRADING STANDBY FAILED REREGISTRATION WAITINGNODES DECOMMISSIONING WAITING_FOR_REGISTRATION ORCHESTRATION_IN_PROGRESS ORCHESTRATION_COMPLETE ERROR_IN_ORCHESTRATION DELETING_CLOUD_RESOURCES DELETED_CLOUD_RESOURCES ERROR_DELETING_CLOUD_RESOURCES VALIDATION_IN_PROGRESS VALIDATION_SUCCESS VALIDATION_FAILED FAILED_INACTIVE UPDATING_CLOUD_RESOURCES ERROR_UPDATING_CLOUD_RESOURCES ORCHESTRATION_QUEUED UPDATE_QUEUED DELETE_QUEUED
site_subtype
string
default: NO_SUBTYPE
Allowed values: NO_SUBTYPE VES_IO_USE_RE VES_IO_CE_IN_K8S VES_IO_HIDDEN_RE
site_to_site_network_type
string
default: VIRTUAL_NETWORK_SITE_LOCAL
Allowed values: VIRTUAL_NETWORK_SITE_LOCAL VIRTUAL_NETWORK_SITE_LOCAL_INSIDE VIRTUAL_NETWORK_PER_SITE VIRTUAL_NETWORK_PUBLIC VIRTUAL_NETWORK_GLOBAL VIRTUAL_NETWORK_SITE_SERVICE VIRTUAL_NETWORK_VER_INTERNAL VIRTUAL_NETWORK_SITE_LOCAL_INSIDE_OUTSIDE VIRTUAL_NETWORK_IP_AUTO VIRTUAL_NETWORK_VOLTADN_PRIVATE_NETWORK VIRTUAL_NETWORK_SRV6_NETWORK VIRTUAL_NETWORK_IP_FABRIC VIRTUAL_NETWORK_SEGMENT VIRTUAL_NETWORK_MANAGEMENT
site_to_site_tunnel_ip

Optionsl, VIP in the site_to_site_network_type configured above used for terminating IPsec/SSL tunnels created with SiteMeshGroup.

string
<= 1024 characters
site_type
string
default: INVALID
Allowed values: INVALID REGIONAL_EDGE CUSTOMER_EDGE NGINX_ONE
tunnel_dead_timeout

Time interval, in millisec, within which any IPsec / SSL connection from the site going down is detected. When not set (== 0), a default value of 10000 msec will be used.

integer format: int64
tunnel_type
string
default: SITE_TO_SITE_TUNNEL_IPSEC_OR_SSL
Allowed values: SITE_TO_SITE_TUNNEL_IPSEC_OR_SSL SITE_TO_SITE_TUNNEL_IPSEC SITE_TO_SITE_TUNNEL_SSL
vip_params_per_az

Optional Publish VIP Parameters Per AZ for public cloud sites. See documentation for “VIP” in advertise policy to see when Inside VIP or Outside VIP is used. When configured, the VIP(s) defined will be used to publish to external systems like K8s, Consul.

Array<object>
Publish VIP Params Per AZ

Per AZ parameters needed to publish VIP for public cloud sites.

object
az_name
AZ Name

Name of the Availability zone.

string
<= 1024 characters
inside_vip
Inside VIP(s)

List of Inside VIPs for an AZ.

Array<string>
<= 3 items
inside_vip_cname
Inside VIP CNAME

CNAME value for the inside VIP, These are usually public cloud generated CNAME.

string
<= 256 characters
inside_vip_v6
Inside IPv6 VIP(s)

Optional list of Inside IPv6 VIPs for an AZ.

Array<string>
<= 3 items
outside_vip
Outside VIP(s)

List of Outside VIPs for an AZ Required: YES.

Array<string>
>= 1 items <= 3 items
outside_vip_cname
Outside VIP CNAME

CNAME value for the outside VIP These are usually public cloud generated CNAME.

string
<= 256 characters
outside_vip_v6
Outside IPv6 VIP(s)

Optional list of Outside IPv6 VIPs for an AZ.

Array<string>
<= 3 items
vip_vrrp_mode
string
default: VIP_VRRP_INVALID
Allowed values: VIP_VRRP_INVALID VIP_VRRP_ENABLE VIP_VRRP_DISABLE
vm_enabled

Indicates that virtual machine support is enabled on the site.

boolean format: boolean
volterra_software_overide
string
default: SITE_SOFTWARE_OVERRIDE_SITE
Allowed values: SITE_SOFTWARE_OVERRIDE_SITE SITE_SOFTWARE_OVERRIDE_NEWER SITE_SOFTWARE_OVERRIDE_FLEET
volterra_software_version

Desired F5XC software version for this site, a string matching released set of software components.

string
<= 1024 characters
labels
labels

The set of labels present on this site.

object
metadata
object
annotations
annotations

Annotations is an unstructured key value map stored with a resource that may be set by external tools to store and retrieve arbitrary metadata. They are not queryable and should be preserved when modifying objects.

object
description
description

Human readable description for the object.

string
>= 21 characters <= 1200 characters
disable
disable

A value of true will administratively disable the object.

boolean format: boolean
labels
labels

Map of string keys and values that can be used to organize and categorize (scope and select) objects as chosen by the user. Values specified here will be used by selector expression.

object
name
name

This is the name of configuration object. It has to be unique within the namespace. It can only be specified during create API and cannot be changed during replace API. The value of name has to follow DNS-1035 format. Required: YES.

string
>= 6 characters <= 1024 characters
namespace
namespace

This defines the workspace within which each the configuration object is to be created. Must be a DNS_LABEL format. For a namespace object itself, namespace value will be ""

string
>= 6 characters <= 1024 characters
name
name

The name of this site.

string
>= 6 characters <= 1024 characters
namespace
namespace

The namespace this item belongs to.

string
>= 6 characters <= 1024 characters
owner_view
object
kind
kind

Kind of the view object.

string
>= 12 characters <= 1024 characters
name
name

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then name will hold the referred object’s(e.g. Route’s) name.

string
>= 6 characters <= 1024 characters
namespace
namespace

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then namespace will hold the referred object’s(e.g. Route’s) namespace.

string
>= 6 characters <= 1024 characters
uid
uid

UID of the view object.

string format: uuid
>= 36 characters <= 1024 characters
status_set
status

The status reported by different services for this configuration object.

Array<object>
Site Status Object

Most recently observed status of site object.

object
certified_hardware
Certified Hardware

Certified Hardware identifies what F5XC Certified Hardware is deployed at this site.

string
<= 1024 characters
conditions
conditions

Conditions.

Array<object>
ConditionType

Conditions are used in the object status to describe the current state of the object, e.g. Ready, Succeeded, etc.

object
hostname
hostname

Hostname of the instance of the site that sent the status.

string
<= 1024 characters
last_update_time
last_update_time

Last time the condition was updated.

string format: date-time
<= 1024 characters
reason
reason

X-reason: “Insufficient memory in data plane” A human readable string explaining the reason for reaching this condition.

string
>= 27 characters <= 1024 characters
service_name
service name

Name of the service that sent the status.

string
<= 1024 characters
status
status

Status of the condition “Success” Validtion has succeded. Requested operation was successful. “Failed” Validation has failed. “Incomplete” Validation of configuration has failed due to missing configuration. “Installed” Validation has passed and configuration has been installed in data path or K8s “Down” Configuration is operationally down. E.g. Down interface “Disabled” Configuration is administratively disabled i.e. objectmetatype.disable = true. “NotApplicable” Configuration is not applicable e.g. Tenant service_policy_set(s) in system namespace are not applicable on REs.

string
>= 17 characters <= 1024 characters
type
type

Type of the condition “Validation” represents validation user given configuration object “Operational” represents operational status of a given configuration object.

string
<= 1024 characters
dc_cluster_group_status
object
site_info
site_info

The list of sites in the dc cluster group and information about each

Required: YES.

Array<object>
Site Info

Information about a particular site.

object
annotations
annotations

The list of annotations providing information about the referenced site.

Required: YES.

Array<string>
site
site

‘site’ refers to a site.

Required: YES.

Array<object>
<= 1 items
ObjectRefType

This type establishes a ‘direct reference’ from one object(the referrer) to another(the referred). Such a reference is in form of tenant/namespace/name for public API and Uid for private API This type of reference is called direct because the relation is explicit and concrete (as opposed to selector reference which builds a group based on labels of selectee objects)

object
kind
kind

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then kind will hold the referred object’s kind (e.g. “route”)

string
>= 12 characters <= 1024 characters
name
name

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then name will hold the referred object’s(e.g. Route’s) name.

string
>= 6 characters <= 1024 characters
namespace
namespace

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then namespace will hold the referred object’s(e.g. Route’s) namespace.

string
>= 6 characters <= 1024 characters
tenant
tenant

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then tenant will hold the referred object’s(e.g. Route’s) tenant.

string
>= 6 characters <= 1024 characters
uid
uid

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then uid will hold the referred object’s(e.g. Route’s) uid.

string format: uuid
>= 36 characters <= 1024 characters
deployment
object
apply_status
object
apply_state
string
default: APPLIED
Allowed values: APPLIED APPLY_ERRORED APPLY_INIT_ERRORED APPLYING APPLY_PLANNING APPLY_PLAN_ERRORED APPLY_QUEUED
container_version
container_version

Container image version.

string
<= 1024 characters
destroy_state
string
default: DESTROYED
Allowed values: DESTROYED DESTROY_ERRORED DESTROYING DESTROY_QUEUED
error_output
error_output

Error output of terraform run.

string
<= 1024 characters
infra_state
string
default: PROVISIONED
Allowed values: PROVISIONED TIMED_OUT ERRORED PROVISIONING
modification_timestamp
modification_timestamp

ModificationTimestamp is a timestamp representing the server time when this status was last modified.

string format: date-time
<= 1024 characters
suggested_action
suggested_action

Suggested action for customer on error.

string
<= 1024 characters
tf_output
tf_output

The value of an “output” variable from the terraform state file.

string
<= 1024 characters
tf_stdout
tf_stdout

The stdout of terraform apply command.

string
<= 1024 characters
expected_container_version
Expected container version

Container version expected.

string
<= 1024 characters
plan_status
object
error_output
error_output

Error output of terraform run.

string
<= 1024 characters
infra_state
string
default: PROVISIONED
Allowed values: PROVISIONED TIMED_OUT ERRORED PROVISIONING
modification_timestamp
modification_timestamp

ModificationTimestamp is a timestamp representing the server time when this status was last modified.

string format: date-time
<= 1024 characters
plan_state
string
default: PLANNING
Allowed values: PLANNING PLAN_ERRORED NO_CHANGES HAS_CHANGES DISCARDED PLAN_INIT_ERRORED PLAN_QUEUED
suggested_action
suggested_action

Suggested action for customer on error.

string
<= 1024 characters
tf_plan_output
tf_plan_output

Terraform “plan” command output. Terraform performs a refresh, unless explicitly disabled, and then determines what actions are necessary to achieve the desired state specified in the configuration files.

string
<= 1024 characters
direct_connect_status
object
direct_connect_gateway_id
Direct Connect Gateway ID

Direct Connect Gateway ID.

string
<= 1024 characters
direct_connect_gateway_state
Direct Connect Gateway State

Direct Connect Gateway state.

string
<= 1024 characters
direct_connect_vgw_association_state
Virtual Private Gateway association state

Virtual Private Gateway association state.

string
<= 1024 characters
propagated_routes_from_direct_connect_connection
Propagated Routes from Direct Connect Connection

Propagated Routes from Direct Connect Connection.

Array<string>
vgw_id
Virtual Private Gateway ID

Virtual Private Gateway ID.

string
<= 1024 characters
vgw_state
Virtual Private Gateway state

Virtual Private Gateway state.

string
<= 1024 characters
vif_states
VIF States

VIF States.

Array<object>
object
attachment_state
VIF Attachment State

VIF Attachment State.

string
<= 1024 characters
bgp_peers
BGP Peers

BGP Peers

Array<object>
object
address_family
Address Family

Address Family.

string
<= 1024 characters
amazon_address
Amazon side address

Amazon side address.

string
<= 1024 characters
asn
ASN

Configuration parameter for asn

integer format: int64
bgp_peer_id
BGP Peer ID

BGP Peer ID.

string
<= 1024 characters
bgp_peer_state
BGP Peer State

BGP Peer State.

string
<= 1024 characters
bgp_status
BGP Status

BGP Status.

string
<= 1024 characters
customer_address
Customer side Address

Customer side Address.

string
<= 1024 characters
vif_id
VIF ID

VIF ID

string
<= 1024 characters
vif_state
VIF State

VIF State

string
<= 1024 characters
express_route_status
object
propagated_routes_from_azure_express_route
Propagated Routes from Azure Express Route

Propagated Routes from Azure Express Route.

Array<string>
route_server_status
object
peers
Route Server Peering State

Route Server Peering State.

Array<object>
object
peerIP
Route Server Peer IP

Route Server Peer IP.

string
<= 1024 characters
peer_asn
Route Server Peer ASN

Route Server Peer ASN.

string
<= 1024 characters
provisioningState
Provisioning Status

Provisioning Status.

string
<= 1024 characters
route_server_name
Route Server Name

Route Server Name.

string
<= 1024 characters
vnet_gateway_status
object
connection_status
Azure Express Route Circuit Connection Status

Azure Express Route Circuit Connection Status.

Array<object>
object
express_route_circuit_id
Express Route Circuit ID

Express Route Circuit ID.

string
<= 1024 characters
express_route_circuit_name
Express Route Circuit Name

Express Route Circuit Name.

string
<= 1024 characters
express_route_circuit_state
Express Route Provisioning State

Express Route Provisioning State.

string
<= 1024 characters
express_route_connection_name
Express Route Connection Name

Express Route Connection Name.

string
<= 1024 characters
express_route_connection_status
Express Route Connection Status

Express Route Connection Status.

string
<= 1024 characters
peering
object
azure_asn
Express Route Azure ASN

Express Route Azure ASN.

string
<= 1024 characters
peer_asn
Express Route Peer ASN

Express Route Peer ASN.

string
<= 1024 characters
peering_type
Express Route Peering Type

Express Route Peering Type.

string
<= 1024 characters
provisioningState
Provisioning Status

Provisioning Status.

string
<= 1024 characters
state
Express Route Peering Status

Express Route Peering Status.

string
<= 1024 characters
vgw_id
VNET Gateway ID

VNet Gateway ID.

string
<= 1024 characters
vgw_name
VNET Gateway Name

VNet Gateway Name.

string
<= 1024 characters
vgw_state
VNET Gateway State

VNet Gateway State.

string
<= 1024 characters
fleet_status
object
deployment_state
object
condition
condition

Map of fleet conditions.

Array<object>
object
message
message

A verbose human readable explanation of the reason.

string
<= 1024 characters
module_name
module_name

A name of module that produced the condition.

string
<= 1024 characters
name
name

A name of condition.

string
>= 6 characters <= 1024 characters
result
result

Result of the condition.

string
<= 1024 characters
hash
hash

Hash sum of fleet config.

string
<= 1024 characters
modification_timestamp
modification_timestamp

ModificationTimestamp is a timestamp representing the server time when deployment state was last modified.

string format: date-time
<= 1024 characters
result
result

Summarized result of the deployment, one of Success, Failure, Unknown.

string
<= 1024 characters
hostname
Hostname

Hostname of node in site.

string
<= 1024 characters
hw_info
object
bios
object
date
date

Information from /sys/class/dmi/ID/bios_date.

string
<= 1024 characters
vendor
vendor

Information from /sys/class/dmi/ID/bios_vendor.

string
<= 1024 characters
version
version

Information from /sys/class/dmi/ID/bios_version.

string
>= 1 characters <= 1024 characters
board
object
asset_tag
asset_tag

Information from /sys/class/dmi/ID/board_asset_tag.

string
<= 1024 characters
name
name

Information from /sys/class/dmi/ID/board_name.

string
>= 6 characters <= 1024 characters
serial
serial

Information from /sys/class/dmi/ID/board_serial.

string
<= 1024 characters
vendor
vendor

Information from /sys/class/dmi/ID/board_vendor.

string
<= 1024 characters
version
version

Information from /sys/class/dmi/ID/board_version.

string
>= 1 characters <= 1024 characters
chassis
object
asset_tag
asset_tag

Information from /sys/class/dmi/ID/chassis_asset_tag.

string
<= 1024 characters
serial
serial

Information from /sys/class/dmi/ID/chassis_serial.

string
<= 1024 characters
type
type

Information from /sys/class/dmi/ID/chassis_type.

integer format: int64
vendor
vendor

Information from /sys/class/dmi/ID/chassis_vendor.

string
<= 1024 characters
version
version

Information from /sys/class/dmi/ID/chassis_version.

string
>= 1 characters <= 1024 characters
cpu
object
cache
cache

CPU cache size in KB.

integer format: int64
cores
cores

Number of physical CPU cores.

integer format: int64
cpus
cpus

Number of physical CPUs.

integer format: int64
model
model

CPU model

string
<= 1024 characters
speed
speed

CPU clock rate in MHz.

integer format: int64
threads
threads

Number of logical (HT) CPU cores.

integer format: int64
vendor
vendor

CPU vendor.

string
<= 1024 characters
gpu
object
cuda_version
cudaVersion

GPU Cuda Version.

string
<= 1024 characters
driver_version
driverVersion

GPU Driver Version.

string
<= 1024 characters
gpu_device
GPUDevice

List of GPU devices in server.

Array<object>
GPUDevice
object
id
id

GPU ID

string
>= 1 <= 4094 <= 1024 characters
processes
processes

GPU Processes.

string
<= 1024 characters
product_name
productName

GPU Product Name.

string
<= 1024 characters
kernel
object
architecture
architecture

Kernel architecture.

string
<= 1024 characters
release
release

Kernel release.

string
<= 1024 characters
version
version

Kernel version.

string
>= 1 characters <= 1024 characters
memory
object
size_mb
size_mb

RAM size in MB.

integer format: int64
speed
speed

RAM data rate in MT/s.

integer format: int64
type
type

Type of memory, eg. DDR4.

string
<= 1024 characters
network
network

List of network devices in server.

Array<object>
Network Device Information

NetworkDevice information.

object
driver
driver

Driver of device, eg. E1000e.

string
<= 1024 characters
ip_address
ip_address

IP address on interface.

Array<string>
link_quality
string
default: QUALITY_UNKNOWN
Allowed values: QUALITY_UNKNOWN QUALITY_GOOD QUALITY_POOR QUALITY_DISABLED
link_type
string
default: LINK_TYPE_UNKNOWN
Allowed values: LINK_TYPE_UNKNOWN LINK_TYPE_ETHERNET LINK_TYPE_WIFI_802_11AC LINK_TYPE_WIFI_802_11BGN LINK_TYPE_4G LINK_TYPE_WIFI LINK_TYPE_WAN
mac_address
mac_address

MAC address on interface.

string
<= 1024 characters
name
name

Name of device, eg. Eth0.

string
>= 6 characters <= 1024 characters
port
port

Used port, eg. Tp.

string
>= 1 <= 65535 <= 1024 characters
speed
speed

Device max supported speed in Mbps.

integer format: int64
numa_nodes
NUMA Nodes Count

Non-uniform memory access (NUMA) nodes count.

integer format: int32
os
object
architecture
architecture

Architecture of OS.

string
<= 1024 characters
name
name

Name of OS.

string
>= 6 characters <= 1024 characters
release
release

Release of the OS.

string
<= 1024 characters
vendor
vendor

Vendor of OS.

string
<= 1024 characters
version
version

Version of OS.

string
>= 1 characters <= 1024 characters
product
object
name
name

Product name, eg. For AWS m5a.xlarge. Info taken from /sys/class/dmi/ID/product_name.

string
>= 6 characters <= 1024 characters
serial
serial

Serial number, eg. For AWS ec254b6d-9676-1a51-8b10-21370dbdc3e5. Info taken from /sys/class/dmi/ID/product_serial.

string
<= 1024 characters
vendor
vendor

Vendor name, eg. For AWS Amazon EC2. Info taken from /sys/class/dmi/ID/product_vendor.

string
<= 1024 characters
version
version

Version name. Info taken from /sys/class/dmi/ID/product_version.

string
>= 1 characters <= 1024 characters
storage
storage

List of storage devices in server.

Array<object>
Storage Information

StorageDevice information.

object
driver
driver

Driver of device.

string
<= 1024 characters
model
model

Model of device.

string
<= 1024 characters
name
name

Name of device, eg. Nvme0n1.

string
>= 6 characters <= 1024 characters
serial
serial

Serial of device.

string
<= 1024 characters
size_gb
size_gb

Device size in GB.

integer format: int64
vendor
vendor

Vendor of device.

string
<= 1024 characters
usb
USBDevice

List of USB devices in server.

Array<object>
USB device

Information about USB device.

object
address
address

Address of the device on the bus in decimal.

integer format: int64
b_device_class
b_device_class

The class of this device.

string
<= 1024 characters
b_device_protocol
b_device_protocol

The protocol (within the sub-class) of this device.

string
<= 1024 characters
b_device_sub_class
b_device_sub_class

The sub-class (within the class) of this device.

string
<= 1024 characters
b_max_packet_size
b_max_packet_size

Maximum size of the control transfer.

integer format: int64
bcd_device
bcd_device

The device version.

string
<= 1024 characters
bcd_usb
bcd_usb

USB Specification Release Number.

string
<= 1024 characters
bus
bus

The bus on which the device was detected in decimal.

integer format: int64
description
description

Device description.

string
>= 21 characters <= 1024 characters
i_manufacturer
i_manufacturer

Manufacturer name.

string
<= 1024 characters
i_product
i_product

Product name reported by device.

string
<= 1024 characters
i_serial
i_serial_number

Index of Serial Number String Descriptor.

string
<= 1024 characters
id_product
id_product

Product ID (Assigned by Manufacturer) in hex.

string
<= 1024 characters
id_vendor
id_vendor

Vendor ID (Assigned by USB Org) in hex.

string
<= 1024 characters
port
port

Port on which the device was detected in decimal.

integer format: int64
>= 1 <= 65535
product_name
product_name

Product ID translated to name (if available)

string
<= 1024 characters
speed
speed

The negotiated operating speed for the device.

string
<= 1024 characters
usb_type
string
default: UNKNOWN_USB
Allowed values: UNKNOWN_USB INTERNAL REGISTERED CONFIGURABLE
vendor_name
vendor_name

Vendor ID translated to name (if available)

string
<= 1024 characters
internet_VIP_status
object
arn
ARN

Configuration parameter for arn

string
<= 1024 characters
name
Name

Human-readable name for the resource

string
>= 6 characters <= 1024 characters
nlb_cname
NLB CNAME

NLB CNAME

string
<= 1024 characters
nlb_status
NLB Status

NLB Status.

string
<= 1024 characters
reason
Reason

Reason

string
>= 27 characters <= 1024 characters
target_group_status
Target Group Status

Target Group Status.

Array<object>
object
arn
ARN

Configuration parameter for arn

string
<= 1024 characters
listener_status
Listener status

Listener status.

Array<object>
object
arn
Name

Configuration parameter for arn

string
<= 1024 characters
port
Port

TCP/UDP port number (1-65535)

integer format: int64
>= 1 <= 65535
protocol
Protocol

Protocol

string
<= 1024 characters
reason
Reason

Reason

string
>= 27 characters <= 1024 characters
status
Status

Status

string
>= 17 characters <= 1024 characters
name
Name

Human-readable name for the resource

string
>= 6 characters <= 1024 characters
protocol
Protocol

Protocol

string
<= 1024 characters
reason
Reason

Reason

string
>= 27 characters <= 1024 characters
status
Status

Status

string
>= 17 characters <= 1024 characters
metadata
object
creation_timestamp
creation_timestamp

Creation_timestamp is when the status object was created. It is used to find/tie-break for latest status object from same origin.

string format: date-time
<= 1024 characters
creator_class
creator_class

Class of creator which created this StatusObject. This will be service’s DNS FQDN. This will be set by the system based on client certificate information.

string
<= 1024 characters
creator_id
creator_id

ID of creator which created this StatusObject. This will be a concrete identifier for service (e.g. Identifying the environment also). This will be set by the system based on client certificate information.

string
<= 1024 characters
publish
string
default: STATUS_DO_NOT_PUBLISH
Allowed values: STATUS_DO_NOT_PUBLISH STATUS_PUBLISH
status_id
status_id

Status_id is a field used by the generator to distinguish (if necessary) between two status objects for the same config object from the same site and same service and potentially same daemon(creator-ID)

string
<= 1024 characters
uid
uid

Uid is the unique in time and space value for a StatusObject.

string format: uuid
>= 36 characters <= 1024 characters
vtrp_id
vtrp_id

Origin of this status exchanged by VTRP.

string
<= 1024 characters
vtrp_stale
vtrp_stale

Indicate whether mars deems this object to be stale via graceful restart timer information.

boolean format: boolean
node_info
object
hostname
Hostname

Hostname of the node.

string
<= 1024 characters
role
Role

Role of registered node. Roles are used by system to determine what control services they should enforce. K8s-master represents Kubernetes Master.

Array<string>
object_refs
object_refs

Site object reference for which this status object is generated.

Array<object>
ObjectRefType

This type establishes a ‘direct reference’ from one object(the referrer) to another(the referred). Such a reference is in form of tenant/namespace/name for public API and Uid for private API This type of reference is called direct because the relation is explicit and concrete (as opposed to selector reference which builds a group based on labels of selectee objects)

object
kind
kind

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then kind will hold the referred object’s kind (e.g. “route”)

string
>= 12 characters <= 1024 characters
name
name

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then name will hold the referred object’s(e.g. Route’s) name.

string
>= 6 characters <= 1024 characters
namespace
namespace

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then namespace will hold the referred object’s(e.g. Route’s) namespace.

string
>= 6 characters <= 1024 characters
tenant
tenant

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then tenant will hold the referred object’s(e.g. Route’s) tenant.

string
>= 6 characters <= 1024 characters
uid
uid

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then uid will hold the referred object’s(e.g. Route’s) uid.

string format: uuid
>= 36 characters <= 1024 characters
offline_survivability_status
object
message
Message

Provides more detailed description of current phase.

string
<= 1024 characters
phase
string
default: OFFLINE_DISABLED
Allowed values: OFFLINE_DISABLED OFFLINE_ENABLING OFFLINE_CONFIGURED OFFLINE_ENABLED OFFLINE_DISABLING OFFLINE_FAILED
operating_system_status
object
available_version
available_version

Available version represent F5 Distributed Cloud operating system version ready to be upgraded in the site.

string
<= 1024 characters
deployment_state
object
message
message

A verbose human readable explanation of the reason.

string
<= 1024 characters
modification_timestamp
modification_timestamp

ModificationTimestamp is a timestamp representing the server time when deployment state was last modified.

string format: date-time
<= 1024 characters
phase
string
default: UPGRADE_INVALID
Allowed values: UPGRADE_INVALID UPGRADE_TRIGGERED UPGRADE_IN_PROGRESS UPGRADE_COMPLETED UPGRADE_FAILED
result
result

Result of the deployment, one of Success, Failure, Unknown.

string
<= 1024 characters
version
version

Version name for this deployment state.

string
>= 1 characters <= 1024 characters
nonconforming_state
Nonconforming State

If nonconforming state is not empty, then current deployed OS version is nonconforming. Site should be upgrade to available version.

string
<= 256 characters
scaling_status
object
message
Message

Provides description of scaling action, eg. “scaled to 3 nodes”

string
<= 1024 characters
phase
string
default: SCALING_INVALID
Allowed values: SCALING_INVALID SCALING_IN_PROGRESS SCALING_FAILED SCALING_DONE
pool_node_count_current
Current pool node count

Current number of pool nodes in cluster.

integer format: int32
pool_node_count_target
Desired pool node count

Desired pool node count defines how many nodes should be in a cluster after scaling.

integer format: int32
site_mesh_group_status
object
other_connected_sites
other_connected_sites

List of sites connected by this Site Mesh Group.

Array<string>
site_info
site_info

The list of sites in the site mesh group and information about each.

Array<object>
Site Info

Information about a particular site.

object
annotations
annotations

The list of annotations providing information about the referenced site.

Required: YES.

Array<string>
site
site

‘site’ refers to a site.

Required: YES.

Array<object>
<= 1 items
ObjectRefType

This type establishes a ‘direct reference’ from one object(the referrer) to another(the referred). Such a reference is in form of tenant/namespace/name for public API and Uid for private API This type of reference is called direct because the relation is explicit and concrete (as opposed to selector reference which builds a group based on labels of selectee objects)

object
kind
kind

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then kind will hold the referred object’s kind (e.g. “route”)

string
>= 12 characters <= 1024 characters
name
name

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then name will hold the referred object’s(e.g. Route’s) name.

string
>= 6 characters <= 1024 characters
namespace
namespace

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then namespace will hold the referred object’s(e.g. Route’s) namespace.

string
>= 6 characters <= 1024 characters
tenant
tenant

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then tenant will hold the referred object’s(e.g. Route’s) tenant.

string
>= 6 characters <= 1024 characters
uid
uid

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then uid will hold the referred object’s(e.g. Route’s) uid.

string format: uuid
>= 36 characters <= 1024 characters
site_reachability_scan_status_list
Site Reachability Scan Status List

List of SiteReachabilityStatus status shows status of domain reachability during registration.

Array<object>
F5XC Site Reachability Scan Status

F5XC domain reachability in the site.

object
error_message
error_message

The error message during network reachbility scan.

string
<= 1024 characters
node_name
node_name

Name of the node on the site.

string
<= 1024 characters
scan_result
scan_result

Result of the domain reachability scan.

object
ver_master_status
object
transition_timestamp
Mastership Transition TimeStamp

Timestamp at which the VER became cluster master.

string format: date-time
<= 1024 characters
ver_UID
Master Ver UID

UID of Master VER in the Cluster.

string
<= 1024 characters
ver_name
Master Ver Node Name

Instance name of Master VER in the Cluster.

string
<= 1024 characters
ver_status
object
ares_status
ares_status

Status of every Ares connections this Ver is connecting to for routes.

Array<object>
Ares Connection Status

Status of Ares Connection.

object
state
string
default: INIT
Allowed values: INIT ACTIVE CONNECTING CONNECTED ESTABLISHED DELETE
url
url

URL identifies the Ares server.

string format: uri
<= 1024 characters
configured_tunnel_status
configured_tunnel_connection_status

Status/details of every configured connection this Ver is originating.

Array<object>
Tunnel Connection Status

Status of tunnel connection that a Ver has originated / terminated.

object
bgp
BGP Object

Internal reference to BGP object corresponding to this tunnel.

Array<object>
<= 1 items
ObjectRefType

This type establishes a ‘direct reference’ from one object(the referrer) to another(the referred). Such a reference is in form of tenant/namespace/name for public API and Uid for private API This type of reference is called direct because the relation is explicit and concrete (as opposed to selector reference which builds a group based on labels of selectee objects)

object
kind
kind

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then kind will hold the referred object’s kind (e.g. “route”)

string
>= 12 characters <= 1024 characters
name
name

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then name will hold the referred object’s(e.g. Route’s) name.

string
>= 6 characters <= 1024 characters
namespace
namespace

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then namespace will hold the referred object’s(e.g. Route’s) namespace.

string
>= 6 characters <= 1024 characters
tenant
tenant

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then tenant will hold the referred object’s(e.g. Route’s) tenant.

string
>= 6 characters <= 1024 characters
uid
uid

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then uid will hold the referred object’s(e.g. Route’s) uid.

string format: uuid
>= 36 characters <= 1024 characters
bgp_peer_protocol_state
string
default: Unknown
Allowed values: Unknown Idle Connect Active OpenSent OpenConfirm Established Clearing Deleted
bgp_status
string
default: BGP_PEER_DOWN
Allowed values: BGP_PEER_DOWN BGP_PEER_UP
encap
string
default: IPSEC_PKI
Allowed values: IPSEC_PKI IPSEC_PSK SSL GRE
ike_tunnel_flap_reason
object
flap_reason
Flap Reason

Flap reason for tunnel.

string
<= 1024 characters
time
Flap time

Flap time for tunnel.

string format: date-time
<= 1024 characters
isLocal
isLocal

Identifies if the IPsec connection is local to the ver node or not.

boolean format: boolean
remoteAddress
remoteAddress

IP address of the remote end.

string
<= 1024 characters
role
string
default: UNKNOWN_TUNNEL_ROLE
Allowed values: UNKNOWN_TUNNEL_ROLE TUNNEL_INITIATOR TUNNEL_RESPONDER
ssl_tunnel_flap_reason
object
flap_reason
Flap Reason

Flap reason for tunnel.

string
<= 1024 characters
time
Flap time

Flap time for tunnel.

string format: date-time
<= 1024 characters
state
string
default: UNKNOWN_TUNNEL_STATE
Allowed values: UNKNOWN_TUNNEL_STATE TUNNEL_UP TUNNEL_DOWN TUNNEL_DISABLED
tunnel
Tunnel Object

Internal reference to Tunnel object corresponding to this status.

Array<object>
<= 1 items
ObjectRefType

This type establishes a ‘direct reference’ from one object(the referrer) to another(the referred). Such a reference is in form of tenant/namespace/name for public API and Uid for private API This type of reference is called direct because the relation is explicit and concrete (as opposed to selector reference which builds a group based on labels of selectee objects)

object
kind
kind

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then kind will hold the referred object’s kind (e.g. “route”)

string
>= 12 characters <= 1024 characters
name
name

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then name will hold the referred object’s(e.g. Route’s) name.

string
>= 6 characters <= 1024 characters
namespace
namespace

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then namespace will hold the referred object’s(e.g. Route’s) namespace.

string
>= 6 characters <= 1024 characters
tenant
tenant

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then tenant will hold the referred object’s(e.g. Route’s) tenant.

string
>= 6 characters <= 1024 characters
uid
uid

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then uid will hold the referred object’s(e.g. Route’s) uid.

string format: uuid
>= 36 characters <= 1024 characters
tunnelName
tunnelName

Tunnel name.

string
<= 1024 characters
url
url

URL identifies the other end of the Ver for tunnel origination/termination.

string format: uri
<= 1024 characters
verNodeIp
verNodeIP

The VER node IP in the local site from which the connection is setup.

string
<= 1024 characters
verNodeName
verNodeName

The VER node in the local site from which the connection is setup.

string
<= 1024 characters
ext_connector_tunnel_status
external_connector_tunnel_status

Status/details of every tunnel configured as external connector.

Array<object>
Tunnel Connection Status

Status of tunnel connection that a Ver has originated / terminated.

object
bgp
BGP Object

Internal reference to BGP object corresponding to this tunnel.

Array<object>
<= 1 items
ObjectRefType

This type establishes a ‘direct reference’ from one object(the referrer) to another(the referred). Such a reference is in form of tenant/namespace/name for public API and Uid for private API This type of reference is called direct because the relation is explicit and concrete (as opposed to selector reference which builds a group based on labels of selectee objects)

object
kind
kind

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then kind will hold the referred object’s kind (e.g. “route”)

string
>= 12 characters <= 1024 characters
name
name

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then name will hold the referred object’s(e.g. Route’s) name.

string
>= 6 characters <= 1024 characters
namespace
namespace

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then namespace will hold the referred object’s(e.g. Route’s) namespace.

string
>= 6 characters <= 1024 characters
tenant
tenant

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then tenant will hold the referred object’s(e.g. Route’s) tenant.

string
>= 6 characters <= 1024 characters
uid
uid

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then uid will hold the referred object’s(e.g. Route’s) uid.

string format: uuid
>= 36 characters <= 1024 characters
bgp_peer_protocol_state
string
default: Unknown
Allowed values: Unknown Idle Connect Active OpenSent OpenConfirm Established Clearing Deleted
bgp_status
string
default: BGP_PEER_DOWN
Allowed values: BGP_PEER_DOWN BGP_PEER_UP
encap
string
default: IPSEC_PKI
Allowed values: IPSEC_PKI IPSEC_PSK SSL GRE
ike_tunnel_flap_reason
object
flap_reason
Flap Reason

Flap reason for tunnel.

string
<= 1024 characters
time
Flap time

Flap time for tunnel.

string format: date-time
<= 1024 characters
isLocal
isLocal

Identifies if the IPsec connection is local to the ver node or not.

boolean format: boolean
remoteAddress
remoteAddress

IP address of the remote end.

string
<= 1024 characters
role
string
default: UNKNOWN_TUNNEL_ROLE
Allowed values: UNKNOWN_TUNNEL_ROLE TUNNEL_INITIATOR TUNNEL_RESPONDER
ssl_tunnel_flap_reason
object
flap_reason
Flap Reason

Flap reason for tunnel.

string
<= 1024 characters
time
Flap time

Flap time for tunnel.

string format: date-time
<= 1024 characters
state
string
default: UNKNOWN_TUNNEL_STATE
Allowed values: UNKNOWN_TUNNEL_STATE TUNNEL_UP TUNNEL_DOWN TUNNEL_DISABLED
tunnel
Tunnel Object

Internal reference to Tunnel object corresponding to this status.

Array<object>
<= 1 items
ObjectRefType

This type establishes a ‘direct reference’ from one object(the referrer) to another(the referred). Such a reference is in form of tenant/namespace/name for public API and Uid for private API This type of reference is called direct because the relation is explicit and concrete (as opposed to selector reference which builds a group based on labels of selectee objects)

object
kind
kind

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then kind will hold the referred object’s kind (e.g. “route”)

string
>= 12 characters <= 1024 characters
name
name

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then name will hold the referred object’s(e.g. Route’s) name.

string
>= 6 characters <= 1024 characters
namespace
namespace

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then namespace will hold the referred object’s(e.g. Route’s) namespace.

string
>= 6 characters <= 1024 characters
tenant
tenant

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then tenant will hold the referred object’s(e.g. Route’s) tenant.

string
>= 6 characters <= 1024 characters
uid
uid

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then uid will hold the referred object’s(e.g. Route’s) uid.

string format: uuid
>= 36 characters <= 1024 characters
tunnelName
tunnelName

Tunnel name.

string
<= 1024 characters
url
url

URL identifies the other end of the Ver for tunnel origination/termination.

string format: uri
<= 1024 characters
verNodeIp
verNodeIP

The VER node IP in the local site from which the connection is setup.

string
<= 1024 characters
verNodeName
verNodeName

The VER node in the local site from which the connection is setup.

string
<= 1024 characters
intf_status
interface_status

Status of every inside or outside interface present in this VER.

Array<object>
Interface Status

Status of Interfaces in ver.

object
active_state
string
default: STATE_UNKNOWN
Allowed values: STATE_UNKNOWN STATE_ACTIVE STATE_BACKUP
bond_members
Bond Interface Members x-displayName: "Bond Members" Members of the Bond interface along with the corresponding link state

Members of the Bond interface along with the corresponding link state.

Array<object>
Bond Interface Members

BondMembersType represents the bond interface members along with the corresponding link state.

object
link_speed
Link Speed x-displayName: "Link Speed in Mbps" Link speed of Bond Interface Member in Mbps

Link speed of Bond Interface Member in Mbps.

integer format: int64
link_state
Link State x-displayName: "Link State" Link state of Bond Interface Member

Link state of Bond Interface Member.

boolean format: boolean
name
Name x-displayName: "Name" Name of the Bond Interface Member

Name of the Bond Interface Member.

string
>= 6 characters <= 1024 characters
dhcp_server
DHCP Server

Indicate if DHCP server is configured on the interface.

boolean format: boolean
ip
object
ipv4
object
plen
Prefix Length

Prefix-length of the IPv4 subnet. Must be <= 32.

integer format: int64
prefix
Prefix

Prefix part of the IPv4 subnet in string form with dot-decimal notation.

string
<= 1024 characters
ipv6
object
plen
Prefix length

Prefix length of the IPv6 subnet. Must be <= 128.

integer format: int64
prefix
Prefix

Prefix part of the IPv6 subnet given in form of string. IPv6 address must be specified as hexadecimal numbers separated by ’:’ e.g. “2001:db8:0:0:0:2:0:0” The address can be compacted by suppressing zeros e.g. “2001:db8::2::”

string
<= 1024 characters
ip_mode
string
default: STATIC
Allowed values: STATIC DHCP
ipv6
object
ipv4
object
plen
Prefix Length

Prefix-length of the IPv4 subnet. Must be <= 32.

integer format: int64
prefix
Prefix

Prefix part of the IPv4 subnet in string form with dot-decimal notation.

string
<= 1024 characters
ipv6
object
plen
Prefix length

Prefix length of the IPv6 subnet. Must be <= 128.

integer format: int64
prefix
Prefix

Prefix part of the IPv6 subnet given in form of string. IPv6 address must be specified as hexadecimal numbers separated by ’:’ e.g. “2001:db8:0:0:0:2:0:0” The address can be compacted by suppressing zeros e.g. “2001:db8::2::”

string
<= 1024 characters
link_quality
string
default: QUALITY_UNKNOWN
Allowed values: QUALITY_UNKNOWN QUALITY_GOOD QUALITY_POOR QUALITY_DISABLED
link_state
Link State x-displayName: "Link State" Link State for the interface

Link State for the interface.

boolean format: boolean
link_type
string
default: LINK_TYPE_UNKNOWN
Allowed values: LINK_TYPE_UNKNOWN LINK_TYPE_ETHERNET LINK_TYPE_WIFI_802_11AC LINK_TYPE_WIFI_802_11BGN LINK_TYPE_4G LINK_TYPE_WIFI LINK_TYPE_WAN
mac
Mac Address

MAC Address of interface.

string
<= 1024 characters
name
Name

Name of interface.

string
>= 6 characters <= 1024 characters
network_name
Virtual Network Name

Name of Virtual Network to which the interface belongs.

string
<= 1024 characters
network_type
string
default: VIRTUAL_NETWORK_SITE_LOCAL
Allowed values: VIRTUAL_NETWORK_SITE_LOCAL VIRTUAL_NETWORK_SITE_LOCAL_INSIDE VIRTUAL_NETWORK_PER_SITE VIRTUAL_NETWORK_PUBLIC VIRTUAL_NETWORK_GLOBAL VIRTUAL_NETWORK_SITE_SERVICE VIRTUAL_NETWORK_VER_INTERNAL VIRTUAL_NETWORK_SITE_LOCAL_INSIDE_OUTSIDE VIRTUAL_NETWORK_IP_AUTO VIRTUAL_NETWORK_VOLTADN_PRIVATE_NETWORK VIRTUAL_NETWORK_SRV6_NETWORK VIRTUAL_NETWORK_IP_FABRIC VIRTUAL_NETWORK_SEGMENT VIRTUAL_NETWORK_MANAGEMENT
running_state_status
object
description
State Description description

Description gives the reason for ver being in this state.

string
>= 21 characters <= 1024 characters
state
string
default: OPERATIONAL_READY
Allowed values: OPERATIONAL_READY INIT_IN_PROGRESS UPGRADE_READY UPGRADE_READY_IN_PROGRESS OPERATIONAL_READY_IN_PROGRESS OPERATIONAL_READY_DEGRADED
site_tunnel_status
site_tunnel_status

Status/details of every site connection this Ver is originating/ terminating.

Array<object>
Tunnel Connection Status

Status of tunnel connection that a Ver has originated / terminated.

object
bgp
BGP Object

Internal reference to BGP object corresponding to this tunnel.

Array<object>
<= 1 items
ObjectRefType

This type establishes a ‘direct reference’ from one object(the referrer) to another(the referred). Such a reference is in form of tenant/namespace/name for public API and Uid for private API This type of reference is called direct because the relation is explicit and concrete (as opposed to selector reference which builds a group based on labels of selectee objects)

object
kind
kind

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then kind will hold the referred object’s kind (e.g. “route”)

string
>= 12 characters <= 1024 characters
name
name

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then name will hold the referred object’s(e.g. Route’s) name.

string
>= 6 characters <= 1024 characters
namespace
namespace

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then namespace will hold the referred object’s(e.g. Route’s) namespace.

string
>= 6 characters <= 1024 characters
tenant
tenant

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then tenant will hold the referred object’s(e.g. Route’s) tenant.

string
>= 6 characters <= 1024 characters
uid
uid

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then uid will hold the referred object’s(e.g. Route’s) uid.

string format: uuid
>= 36 characters <= 1024 characters
bgp_peer_protocol_state
string
default: Unknown
Allowed values: Unknown Idle Connect Active OpenSent OpenConfirm Established Clearing Deleted
bgp_status
string
default: BGP_PEER_DOWN
Allowed values: BGP_PEER_DOWN BGP_PEER_UP
encap
string
default: IPSEC_PKI
Allowed values: IPSEC_PKI IPSEC_PSK SSL GRE
ike_tunnel_flap_reason
object
flap_reason
Flap Reason

Flap reason for tunnel.

string
<= 1024 characters
time
Flap time

Flap time for tunnel.

string format: date-time
<= 1024 characters
isLocal
isLocal

Identifies if the IPsec connection is local to the ver node or not.

boolean format: boolean
remoteAddress
remoteAddress

IP address of the remote end.

string
<= 1024 characters
role
string
default: UNKNOWN_TUNNEL_ROLE
Allowed values: UNKNOWN_TUNNEL_ROLE TUNNEL_INITIATOR TUNNEL_RESPONDER
ssl_tunnel_flap_reason
object
flap_reason
Flap Reason

Flap reason for tunnel.

string
<= 1024 characters
time
Flap time

Flap time for tunnel.

string format: date-time
<= 1024 characters
state
string
default: UNKNOWN_TUNNEL_STATE
Allowed values: UNKNOWN_TUNNEL_STATE TUNNEL_UP TUNNEL_DOWN TUNNEL_DISABLED
tunnel
Tunnel Object

Internal reference to Tunnel object corresponding to this status.

Array<object>
<= 1 items
ObjectRefType

This type establishes a ‘direct reference’ from one object(the referrer) to another(the referred). Such a reference is in form of tenant/namespace/name for public API and Uid for private API This type of reference is called direct because the relation is explicit and concrete (as opposed to selector reference which builds a group based on labels of selectee objects)

object
kind
kind

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then kind will hold the referred object’s kind (e.g. “route”)

string
>= 12 characters <= 1024 characters
name
name

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then name will hold the referred object’s(e.g. Route’s) name.

string
>= 6 characters <= 1024 characters
namespace
namespace

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then namespace will hold the referred object’s(e.g. Route’s) namespace.

string
>= 6 characters <= 1024 characters
tenant
tenant

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then tenant will hold the referred object’s(e.g. Route’s) tenant.

string
>= 6 characters <= 1024 characters
uid
uid

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then uid will hold the referred object’s(e.g. Route’s) uid.

string format: uuid
>= 36 characters <= 1024 characters
tunnelName
tunnelName

Tunnel name.

string
<= 1024 characters
url
url

URL identifies the other end of the Ver for tunnel origination/termination.

string format: uri
<= 1024 characters
verNodeIp
verNodeIP

The VER node IP in the local site from which the connection is setup.

string
<= 1024 characters
verNodeName
verNodeName

The VER node in the local site from which the connection is setup.

string
<= 1024 characters
ver_instance_name
ver_instance_name

Name of the ver instance that created this site status.

string
<= 1024 characters
vnet_peering_status
object
hub_vnet
object
peers
Peers

Configuration parameter for peers

Array<object>
object
peering_state
Azure VNET Peering State

Azure VNet Peering State.

string
<= 1024 characters
peering_sync_level
Azure VNET Peering Sync Level

Azure VNet Peering Sync Level.

string
<= 1024 characters
provisioning_state
Provisioning State

Provisioning State.

string
<= 1024 characters
remote_vnet_id
Remote VNET ID

Remote VNet ID.

string
<= 1024 characters
route_association_state
Remote Route association State

Remote Route association State.

string
<= 1024 characters
vnet_info
object
f5_orchestrated_routing
object
manual_routing
object
resource_group
Existing Vnet Resource Group

Resource group of existing VNet Required: YES.

string
>= 1 characters <= 64 characters
vnet_name
Existing Vnet Name

Name of existing VNet Required: YES.

string
>= 1 characters <= 64 characters
spoke_vnets
Spoke VNETs

Spoke VNETs.

Array<object>
object
peers
Peers

Configuration parameter for peers

Array<object>
object
peering_state
Azure VNET Peering State

Azure VNet Peering State.

string
<= 1024 characters
peering_sync_level
Azure VNET Peering Sync Level

Azure VNet Peering Sync Level.

string
<= 1024 characters
provisioning_state
Provisioning State

Provisioning State.

string
<= 1024 characters
remote_vnet_id
Remote VNET ID

Remote VNet ID.

string
<= 1024 characters
route_association_state
Remote Route association State

Remote Route association State.

string
<= 1024 characters
vnet_info
object
f5_orchestrated_routing
object
manual_routing
object
resource_group
Existing Vnet Resource Group

Resource group of existing VNet Required: YES.

string
>= 1 characters <= 64 characters
vnet_name
Existing Vnet Name

Name of existing VNet Required: YES.

string
>= 1 characters <= 64 characters
volterra_software_status
object
available_version
available_version

Available version represent F5 Distributed Cloud software version ready to be upgraded in the site.

string
<= 1024 characters
deployment_state
object
message
message

A verbose human readable explanation of the reason.

string
<= 1024 characters
modification_timestamp
modification_timestamp

ModificationTimestamp is a timestamp representing the server time when deployment state was last modified.

string format: date-time
<= 1024 characters
phase
string
default: UPGRADE_INVALID
Allowed values: UPGRADE_INVALID UPGRADE_TRIGGERED UPGRADE_IN_PROGRESS UPGRADE_COMPLETED UPGRADE_FAILED
result
result

Result of the deployment, one of Success, Failure, Unknown.

string
<= 1024 characters
version
version

Version name for this deployment state.

string
>= 1 characters <= 1024 characters
last_installed_version
last_installed_version

Last installed version represent last F5 Distributed Cloud software version that has successfully deployed in the site.

string
<= 1024 characters
nonconforming_state
Nonconforming State

If nonconforming state is not empty, then current deployed SW version is nonconforming. Site should be upgrade to available version.

string
<= 256 characters
software_version_expiry_date
software version expiry date

Expiry date of software version in YYYY-MM-DD.

string
<= 1024 characters
system_metadata
object
creation_timestamp
creation_timestamp

CreationTimestamp is a timestamp representing the server time when this object was created. It is not guaranteed to be set in happens-before order across separate operations. Clients may not set this value. It is represented in RFC3339 form and is in UTC.

string format: date-time
<= 1024 characters
creator_class
creator_class

A value identifying the class of the user or service which created this configuration object.

string
<= 1024 characters
creator_id
creator_id

A value identifying the exact user or service that created this configuration object.

string
<= 1024 characters
deletion_timestamp
deletion_timestamp

DeletionTimestamp is RFC 3339 date and time at which this resource will be deleted. This field is set by the server when a graceful deletion is requested by the user, and is not directly settable by a client. The resource is expected to be deleted (no longer visible from resource lists, and not reachable by name) after the time in this field, once the finalizers list is empty. As long as the finalizers list contains items, deletion is blocked. Once the deletionTimestamp is set, this value may not be unset or be set further into the future, although it may be shortened or the resource may be deleted prior to this time. For example, a user may request that a pod is deleted in 30 seconds. The Kubelet will react by sending a graceful termination signal to the containers in the pod. After that 30 seconds, the Kubelet will send a hard termination signal (SIGKILL) to the container and after cleanup, remove the pod from the API. In the presence of network partitions, this object may still exist after this timestamp, until an administrator or automated process can determine the resource is fully terminated. If not set, graceful deletion of the object has not been requested.

Populated by the system when a graceful deletion is requested. Read-only.

string format: date-time
<= 1024 characters
finalizers
finalizers

Must be empty before the object is deleted from the registry. Each entry is an identifier for the responsible component that will remove the entry from the list. If the deletionTimestamp of the object is non-nil, entries in this list can only be removed.

Array<string>
initializers
object
pending
pending

Pending is a list of initializers that must execute in order before this object is initialized. When the last pending initializer is removed, and no failing result is set, the initializers struct will be set to nil and the object is considered as initialized and visible to all clients.

Array<object>
InitializerType

Initializer is information about an initializer that has not yet completed.

object
name
name

Name of the service that is responsible for initializing this object.

string
>= 6 characters <= 1024 characters
result
object
code
code

Suggested HTTP return code for this status, 0 if not set.

integer format: int32
reason
reason

A human-readable description of why this operation is in the “Failure” status. If this value is empty there is no information available.

string
>= 27 characters <= 1024 characters
status
status

Status of the operation. One of: “Success” or “Failure”.

string
>= 17 characters <= 1024 characters
labels
labels

Map of string keys and values that can be used to organize and categorize (scope and select) objects as chosen by the operator or software. Values here can be interpreted by software(backend or frontend) to enable certain behavior e.g. Things marked as soft-deleted(restorable).

object
modification_timestamp
modification_timestamp

ModificationTimestamp is a timestamp representing the server time when this object was last modified.

string format: date-time
<= 1024 characters
object_index
object_index

Unique index for the object. Some objects need a unique integer index to be allocated for each object type. This field will be populated for all objects that need it and will be zero otherwise.

integer format: int64
owner_view
object
kind
kind

Kind of the view object.

string
>= 12 characters <= 1024 characters
name
name

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then name will hold the referred object’s(e.g. Route’s) name.

string
>= 6 characters <= 1024 characters
namespace
namespace

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then namespace will hold the referred object’s(e.g. Route’s) namespace.

string
>= 6 characters <= 1024 characters
uid
uid

UID of the view object.

string format: uuid
>= 36 characters <= 1024 characters
tenant
tenant

Tenant to which this configuration object belongs to. The value for this is found from presented credentials.

string
>= 6 characters <= 1024 characters
uid
uid

Uid is the unique in time and space value for this object. It is generated by the server on successful creation of an object and is not allowed to change on Replace API. The value of is taken from uid field of ObjectMetaType, if provided.

string format: uuid
>= 36 characters <= 1024 characters
tenant
tenant

The tenant this item belongs to.

string
>= 6 characters <= 1024 characters
uid
uid

The unique uid of this site.

string format: uuid
>= 36 characters <= 1024 characters
Example
{
"errors": [
{
"code": "EOK"
}
],
"items": [
{
"get_spec": {
"admin_user_credentials": {
"admin_password": {
"secret_encoding_type": "EncodingNone",
"vault_secret_info": {
"secret_encoding": "EncodingNone"
}
}
},
"ce_site_mode": "CE_SITE_MODE_INGRESS_EGRESS_GW",
"private_connectivity": {
"cloud_link": {
"state": "UP"
}
},
"site_state": "ONLINE",
"site_subtype": "NO_SUBTYPE",
"site_to_site_network_type": "VIRTUAL_NETWORK_SITE_LOCAL",
"site_type": "INVALID",
"tunnel_type": "SITE_TO_SITE_TUNNEL_IPSEC_OR_SSL",
"vip_vrrp_mode": "VIP_VRRP_INVALID",
"volterra_software_overide": "SITE_SOFTWARE_OVERRIDE_SITE"
},
"status_set": [
{
"deployment": {
"apply_status": {
"apply_state": "APPLIED",
"destroy_state": "DESTROYED",
"infra_state": "PROVISIONED"
},
"plan_status": {
"infra_state": "PROVISIONED",
"plan_state": "PLANNING"
}
},
"hw_info": {
"network": [
{
"link_quality": "QUALITY_UNKNOWN",
"link_type": "LINK_TYPE_UNKNOWN"
}
],
"usb": [
{
"usb_type": "UNKNOWN_USB"
}
]
},
"metadata": {
"publish": "STATUS_DO_NOT_PUBLISH"
},
"offline_survivability_status": {
"phase": "OFFLINE_DISABLED"
},
"operating_system_status": {
"deployment_state": {
"phase": "UPGRADE_INVALID"
}
},
"scaling_status": {
"phase": "SCALING_INVALID"
},
"ver_status": {
"ares_status": [
{
"state": "INIT"
}
],
"configured_tunnel_status": [
{
"bgp_peer_protocol_state": "Unknown",
"bgp_status": "BGP_PEER_DOWN",
"encap": "IPSEC_PKI",
"role": "UNKNOWN_TUNNEL_ROLE",
"state": "UNKNOWN_TUNNEL_STATE"
}
],
"ext_connector_tunnel_status": [
{
"bgp_peer_protocol_state": "Unknown",
"bgp_status": "BGP_PEER_DOWN",
"encap": "IPSEC_PKI",
"role": "UNKNOWN_TUNNEL_ROLE",
"state": "UNKNOWN_TUNNEL_STATE"
}
],
"intf_status": [
{
"active_state": "STATE_UNKNOWN",
"ip_mode": "STATIC",
"link_quality": "QUALITY_UNKNOWN",
"link_type": "LINK_TYPE_UNKNOWN",
"network_type": "VIRTUAL_NETWORK_SITE_LOCAL"
}
],
"running_state_status": {
"state": "OPERATIONAL_READY"
},
"site_tunnel_status": [
{
"bgp_peer_protocol_state": "Unknown",
"bgp_status": "BGP_PEER_DOWN",
"encap": "IPSEC_PKI",
"role": "UNKNOWN_TUNNEL_ROLE",
"state": "UNKNOWN_TUNNEL_STATE"
}
]
},
"volterra_software_status": {
"deployment_state": {
"phase": "UPGRADE_INVALID"
}
}
}
]
}
]
}

Returned when operation is not authorized.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when there is no permission to access resource.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when resource is not found.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation on resource is conflicting with current value.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation has been rejected as it is happening too frequently.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server encountered an error in processing API.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when service is unavailable temporarily.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server timed out processing request.

Media typeapplication/json
string format: string
Examplegenerated
example